root = true
[*]
charset=utf-8
end_of_line=lf
trim_trailing_whitespace=true
insert_final_newline=false
indent_style=tab
tab_width=4

# .NET settings
[*.cs]

# .NET code style settings
dotnet_style_require_accessibility_modifiers=false
dotnet_sort
csharp_style_var_elsewhere=true
csharp_prefer_braces=true

# .NET formatting settings
csharp_new_line_before_open_brace=none
csharp_indent_case_contents=true
csharp_indent_switch_labels=true
csharp_space_after_cast=false
csharp_space_after_keywords_in_control_flow_statements=true
csharp_space_before_colon_in_inheritance_clause=true
csharp_space_after_colon_in_inheritance_clause=true
csharp_space_around_binary_operators=before_and_after
csharp_space_between_method_call_name_and_opening_parenthesis=false
csharp_preserve_single_line_blocks=true

csharp_space_between_method_declaration_parameter_list_parentheses=false
csharp_space_between_method_call_parameter_list_parentheses=false
csharp_space_between_parentheses=control_flow_statements
csharp_space_between_method_declaration_empty_parameter_list_parentheses=false
csharp_style_var_when_type_is_apparent = true:none

